Project

General

Profile

Bug #673

Xorg update breaks X11 or conflicts with xf86-video-* drivers

icarious - over 7 years ago - . Updated over 7 years ago.

Status:
fixed
Priority:
critical
Assignee:
-
% Done:

100%


Description

Running pacman Syu which prompts to update xorg-server to xorg-server 1.17.1 is causing trouble. It conflicts with xf86-video* drivers and is breaking Xorg or severely affecting 3D and 2D performance. Attached below is my paste.

root@jarvis /home/icarious # pacman -Su
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
:: xf86-video-intel and xorg-server are in conflict (X-ABI-VIDEODRV_VERSION). Remove xorg-server? [y/N] y

Packages (3) xf86-video-intel-2.99.917-2 xorg-server-1.16.4-1.parabola1 [removal] xorg-server-common-1.17.1-1

Total Installed Size: 2.22 MiB
Net Upgrade Size: -3.67 MiB

:: Proceed with installation? [Y/n]

History

#1

Updated by Anonymous over 7 years ago

  • % Done changed from 0 to 100
  • Status changed from open to fixed

Also available in: Atom PDF